mfsgui(8)

NAME
mfsgui - start, restart or stop MooseFS GUI server

SYNOPSIS
mfsgui [-c CFGFILE] [-f] [-d] [-u] [-n] [-t LOCKTIMEOUT] [ACTION]

mfsgui -v

mfsgui -h

DESCRIPTION

mfsgui is the MooseFS GUI server. It consist of a HTTP server and scripts that make up the GUI interface to MooseFS. The user can access the GUI via any web browser, using the IP (or appropriate domain name) and port defined in mfsgui.cfg.

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is mfsgui.cfg in system configuration directory)

-f  run in foreground, don't daemonize

-d  run with dangerous options (names: DANGEROUS_*)

-u  log undefined configuration values (when default is assumed)

-n  do not attempt to increase limit of core dump size

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 60 seconds)

ACTION
    tells MooseFS GUI server to perform one of the following actions:

    start
        Start MooseFS GUI server process if the process is not already running, otherwise display error message.

    stop
        Stop MooseFS GUI server process if the process is running, otherwise display error message.

    restart
        (default action) If the MooseFS GUI server process is running, restart it, if it's not running, start it.

    reload
        Send a signal to MooseFS GUI server process to reload config files.

    info
        Send a signal to MooseFS GUI server process to dump debug information file in working directory.

    test
        Displays "mfsgui pid: PID" if the MooseFS GUI server is running (and return 0) or "mfsgui is not running" otherwise (and return 1).

    kill
        Send termination signal to MooseFS GUI server process.

    restore
        Not implemented.

FILES

mfsgui.cfg
    configuration file for MooseFS GUI server process; refer to mfsgui.cfg(5) manual for details

.mfsgui.lock
    lock file of running MooseFS GUI server process (created in data directory)

scripts
    various python, javascript, and other (static) files used to serve the GUI interface via HTTP; these files are installed in whatever directory is the default at installation time for ROOT_DIR in mfsgui.cfg

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2026 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, see <https://www.gnu.org/licenses/>.

SEE ALSO
mfsmaster(8), mfsgui.cfg(5)